Bug 853350 - [RFE] CLI to comment on jobs
[RFE] CLI to comment on jobs
Status: MODIFIED
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.9
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 25.0
: ---
Assigned To: Blake McIvor
CommandLineEnhancement
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-31 04:05 EDT by Monson Shao
Modified: 2017-02-08 18:45 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Nick Coghlan 2012-10-17 00:40:01 EDT
Bulk reassignment of issues as Bill has moved to another team.
Comment 4 Dan Callaghan 2016-05-18 17:37:08 EDT
Now that recipe sets have multiple (immutable) comments, rather than a single comment that can be edited, we probably want a slightly different CLI for it. Adding a comment is not really modifying the job. And for completeness we would want a way to comment on recipes and recipe tasks as well.

How about:

bkr job-comment RS:123 --message="Dan says hi"

So it would accept a taskspec, similar to the other commands, which lets you comment on either recipe set, task, or result.
Comment 5 Blake McIvor 2016-05-31 01:02:59 EDT
(In reply to Dan Callaghan from comment #4)
> Now that recipe sets have multiple (immutable) comments, rather than a
> single comment that can be edited, we probably want a slightly different CLI
> for it. Adding a comment is not really modifying the job. And for
> completeness we would want a way to comment on recipes and recipe tasks as
> well.
> 
> How about:
> 
> bkr job-comment RS:123 --message="Dan says hi"
> 
> So it would accept a taskspec, similar to the other commands, which lets you
> comment on either recipe set, task, or result.

Understood so far, except for commenting on a result. Is that to be added? as there currently no taskpec argument for that.
Comment 6 Dan Callaghan 2016-05-31 09:15:11 EDT
In some other bkr commands we accept TR:123 for identifying task-results, don't we?
Comment 7 Blake McIvor 2016-05-31 18:25:37 EDT
it appears so now I had a look, I was going off the options provided in the man page for bkr
Comment 8 Dan Callaghan 2016-06-01 10:13:59 EDT
You could also fix the man page to mention TR:123.
Comment 9 Blake McIvor 2016-06-22 20:40:32 EDT
https://gerrit.beaker-project.org/#/c/5003/
Comment 10 Dan Callaghan 2017-01-11 20:07:10 EST
Unfortunately this missed the feature freeze for 24.0. Strictly speaking it shouldn't go into a bug fix release either, since the new client functionality will rely on server-side API changes...

Note You need to log in before you can comment on or make changes to this bug.